/*
 * All rights reserved.  http://www.sunac.com.cn
 *
 * This software is the confidential and proprietary information of Sunac Tech Corporation ("Confidential Information").
 * You shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sunac Tech.
 */
/**
 *
 */
package com.dragon.tj.portal.common.enums.message;

import com.dragon.tj.portal.component.exception.base.FrameResultError;
import lombok.Getter;

/**
 * @author huey China.
 * @Description : 模块异常-信息管理
 * @Date Created in 2023/6/16 11:32
 */
public interface MessageInfoErrorEnums extends FrameResultError {


    @Getter
    enum Code implements FrameResultError {

        MESSAGE_CONTRACTS_EMPTY(201001, "信息交流的联系人不能为空!"),
        MESSAGE_DEPT_EMPTY(201002, "当前信息类型部门名称不能为空!"),
        MESSAGE_READ_ALREADY(201002, "当前信息已读"),

        NOTICE_LIMIT_EMPTY(201002, "当前消息范围不能为空!"),


        ;


        Code(int code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        /**
         * 错误码.
         */
        private int code;
        /**
         * 描述
         */
        private String msg;
    }
}
