/*
 *
 *      Copyright (c) 2018-2025, frame All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the pig4cloud.com developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: frame
 *
 */

package com.dragon.tj.portal.component.log.event;

import com.dragon.tj.portal.common.convert.log.SysLogDTO2SysLogConvert;
import com.dragon.tj.portal.component.log.dto.SysLogDTO;
import com.dragon.tj.portal.entity.SysLog;
import com.dragon.tj.portal.service.SysLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.event.EventListener;
import org.springframework.core.annotation.Order;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

/**
 * @author huey China.
 * @Description : 异步监听日志事件
 * @Date Created in 2023/6/12 15:26
 */
@Slf4j
@Component
public class SysLogListener {

    @Autowired
    private SysLogService sysLogService;

    @Autowired
    private SysLogDTO2SysLogConvert sysLogDTO2SysLogConvert;

    @Async
    @Order
    @EventListener(SysLogEvent.class)
    public void saveSysLog(SysLogEvent event) {
        SysLogDTO sysLogDTO = event.getSysLog();
        SysLog sysLog = sysLogDTO2SysLogConvert.dto2SysLog(sysLogDTO);
        sysLogService.save(sysLog);
    }

}
