package com.dragon.tj.portal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 消息表
 * </p>
 *
 * @author huey
 * @since 2023-07-11
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("notice_info")
public class NoticeInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 消息类型 4 任务类 5 通知类 6 超期提醒类
     */
    private Integer messageType;

    /**
    *
    *消息级别
    */
    private Integer messageLevel;

    /**
     * 阅读状态 默认0未读 1已读
     */
    private Integer readStatus;

    /**
     * 信息标题
     */
    private String title;

    /**
     * 信息内容
     */
    private String content;

    /**
     * 附件地址
     */
    private String attachmentPath;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建人姓名
     */
    private String createUser;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改人姓名
     */
    private String updateUser;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 删除状态 默认0 有效 1无效
     */
    private Integer delFlag;

    /**
     * 版本号
     */
    private Integer version;


}
