package com.dragon.tj.portal.service.impl;


import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dragon.tj.portal.entity.InstallInfo;
import com.dragon.tj.portal.mapper.app.InstallInfoMapper;
import com.dragon.tj.portal.service.InstallInfoService;
import com.google.common.collect.Sets;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

@Service
public class InstallInfoServiceImpl extends ServiceImpl<InstallInfoMapper, InstallInfo> implements InstallInfoService {


    @Override
    public Set<String> findUsersByAppId(String appId) {
        LambdaQueryWrapper<InstallInfo> wrapper = Wrappers.lambdaQuery();
        wrapper.eq(InstallInfo::getAppId, appId);
        List<InstallInfo> list = this.list(wrapper);
        if (CollUtil.isNotEmpty(list)) {
            Set<String> idCardSet = list.stream().filter(e -> StringUtils.isNotEmpty(e.getUserIdcard())).map(InstallInfo::getUserIdcard).collect(Collectors.toSet());
            if (CollUtil.isNotEmpty(idCardSet)) {
                return idCardSet;
            }
        }
        return Sets.newHashSet();
    }
}


