package com.dragon.tj.portal.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.common.constants.CacheConstants;
import com.dragon.tj.portal.entity.SysDict;
import com.dragon.tj.portal.entity.SysDictItem;
import com.dragon.tj.portal.mapper.SysDictItemMapper;
import com.dragon.tj.portal.service.SysDictItemService;
import com.dragon.tj.portal.service.SysDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 字典项 服务实现类
 * </p>
 *
 * @author huey
 * @since 2023-06-12
 */
@Service
public class SysDictItemServiceImpl extends ServiceImpl<SysDictItemMapper, SysDictItem> implements SysDictItemService {

    @Autowired
    private SysDictService dictService;

    /**
     * 删除字典项
     *
     * @param id 字典项ID
     * @return
     */
    @CacheEvict(value = CacheConstants.DICT_DETAILS, allEntries = true)
    @Override
    public R removeDictItem(Integer id) {
        // 根据ID查询字典ID
        SysDictItem dictItem = this.getById(id);
        SysDict dict = dictService.getById(dictItem.getDictId());

        return R.ok(this.removeById(id));
    }

    /**
     * 更新字典项
     *
     * @param item 字典项
     * @return
     */
    @CacheEvict(value = CacheConstants.DICT_DETAILS, allEntries = true)
    @Override
    public R updateDictItem(SysDictItem item) {
        // 查询字典
        SysDict dict = dictService.getById(item.getDictId());
        return R.ok(this.updateById(item));
    }
}
